This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 674977 - when switching on NTP date s-c-d crashes
when switching on NTP date s-c-d crashes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-date (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-03 15:27 EST by Matěj Cepl
Modified: 2014-03-17 10:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-17 10:21:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2011-02-03 15:27:39 EST
Description of problem:
When running through https://fedoraproject.org/wiki/QA:Testcase_desktop_date s-c-d crashes when I try to switch on NTP.

Version-Release number of selected component (if applicable):
system-config-date-1.9.61-1.fc15.noarch

How reproducible:
100% (2 out of 2)

Steps to Reproduce:
1.run s-c-d
2.switch on NTP
3.
  
Actual results:
crash 

Expected results:
switched on NTP

Additional info:
Crash
jakoubek:~ $ system-config-date 
/usr/lib/python2.7/site-packages/scdate/core/zonetab.py:218: RuntimeWarning: Untranslated time zone: Pacific/Chuuk
  entry = ZoneTabEntry (code, lat, long, tz, comments)
/usr/lib/python2.7/site-packages/scdate/core/zonetab.py:218: RuntimeWarning: Untranslated time zone: Pacific/Pohnpei
  entry = ZoneTabEntry (code, lat, long, tz, comments)
/usr/lib/python2.7/site-packages/scdate/core/zonetab.py:218: RuntimeWarning: Untranslated time zone: America/Bahia Banderas
  entry = ZoneTabEntry (code, lat, long, tz, comments)
/usr/lib/python2.7/site-packages/scdate/core/zonetab.py:218: RuntimeWarning: Untranslated time zone: Arctic/Longyearbyen
  entry = ZoneTabEntry (code, lat, long, tz, comments)
jakoubek:~ $ date
Čt úno  3 21:11:58 CET 2011
jakoubek:~ $
Comment 1 Nils Philippsen 2011-02-04 05:17:33 EST
This is not a crash, but a warning that certain time zones are untranslated. What is your locale (I assume "cs_CZ.UTF-8")?
Comment 2 Nils Philippsen 2011-02-04 05:19:51 EST
(In reply to comment #1)
> This is not a crash, but a warning that certain time zones are untranslated.

Assuming (again ;-) that the application keeps on running at the point when you select NTP. The messages in the terminal alone don't indicate a crash.
Comment 3 Matěj Cepl 2011-02-04 06:18:21 EST
(In reply to comment #1)
> This is not a crash, but a warning that certain time zones are untranslated.
> What is your locale (I assume "cs_CZ.UTF-8")?

Yes, that's right ...

jakoubek:~ $ locale
LANG=cs_CZ.UTF-8
LC_CTYPE="cs_CZ.UTF-8"
LC_NUMERIC="cs_CZ.UTF-8"
LC_TIME="cs_CZ.UTF-8"
LC_COLLATE="cs_CZ.UTF-8"
LC_MONETARY="cs_CZ.UTF-8"
LC_MESSAGES="cs_CZ.UTF-8"
LC_PAPER="cs_CZ.UTF-8"
LC_NAME="cs_CZ.UTF-8"
LC_ADDRESS="cs_CZ.UTF-8"
LC_TELEPHONE="cs_CZ.UTF-8"
LC_MEASUREMENT="cs_CZ.UTF-8"
LC_IDENTIFICATION="cs_CZ.UTF-8"
LC_ALL=
jakoubek:~ $
Comment 4 Nils Philippsen 2011-02-04 07:33:16 EST
Just checking, do you observe any other unexpected behavior besides the warning messages?
Comment 5 Matěj Cepl 2011-02-05 05:28:44 EST
Yes, s-c-d actually ends working.
Comment 6 Fedora End Of Life 2013-04-03 12:34:30 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 7 Jaromír Končický 2014-03-17 10:21:13 EDT
I tested it under F18, F19 and F20 and worked for me (did not crash).
It is an old bug reported for F15 so it won't get touched anymore. Closing.

Note You need to log in before you can comment on or make changes to this bug.